Loading...
Searching...
No Matches
double precision
Sparse LA » Sparse GPU kernels » GPU kernels for symmetric/Hermitian sparse LA

## Functions

magma_int_t | magma_dcgmerge_xrbeta (magma_int_t n, magmaDouble_ptr d1, magmaDouble_ptr d2, magmaDouble_ptr dx, magmaDouble_ptr dr, magmaDouble_ptr dd, magmaDouble_ptr dz, magmaDouble_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_dpcgmerge_xrbeta1 (magma_int_t n, magmaDouble_ptr dx, magmaDouble_ptr dr, magmaDouble_ptr dd, magmaDouble_ptr dz, magmaDouble_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_dpcgmerge_xrbeta2 (magma_int_t n, magmaDouble_ptr d1, magmaDouble_ptr d2, magmaDouble_ptr dh, magmaDouble_ptr dr, magmaDouble_ptr dd, magmaDouble_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_djcgmerge_xrbeta (magma_int_t n, magmaDouble_ptr d1, magmaDouble_ptr d2, magmaDouble_ptr diag, magmaDouble_ptr dx, magmaDouble_ptr dr, magmaDouble_ptr dd, magmaDouble_ptr dz, magmaDouble_ptr dh, magmaDouble_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

## Detailed Description

## Function Documentation

## magma_dcgmerge_xrbeta()

magma_int_t magma_dcgmerge_xrbeta | ( | magma_int_t | n,
|  | magmaDouble_ptr | d1,
|  | magmaDouble_ptr | d2,
|  | magmaDouble_ptr | dx,
|  | magmaDouble_ptr | dr,
|  | magmaDouble_ptr | dd,
|  | magmaDouble_ptr | dz,
|  | magmaDouble_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaDouble_ptr temporary vector
  [in] | d2 | magmaDouble_ptr temporary vector
  [in,out] | dx | magmaDouble_ptr input vector x
  [in,out] | dr | magmaDouble_ptr input/output vector r
  [in] | dd | magmaDouble_ptr input vector d
  [in] | dz | magmaDouble_ptr input vector z
  [in] | skp | magmaDouble_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dpcgmerge_xrbeta1()

magma_int_t magma_dpcgmerge_xrbeta1 | ( | magma_int_t | n,
|  | magmaDouble_ptr | dx,
|  | magmaDouble_ptr | dr,
|  | magmaDouble_ptr | dd,
|  | magmaDouble_ptr | dz,
|  | magmaDouble_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in,out] | dx | magmaDouble_ptr input vector x
  [in,out] | dr | magmaDouble_ptr input/output vector r
  [in] | dd | magmaDouble_ptr input vector d
  [in] | dz | magmaDouble_ptr input vector z
  [in] | skp | magmaDouble_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dpcgmerge_xrbeta2()

magma_int_t magma_dpcgmerge_xrbeta2 | ( | magma_int_t | n,
|  | magmaDouble_ptr | d1,
|  | magmaDouble_ptr | d2,
|  | magmaDouble_ptr | dh,
|  | magmaDouble_ptr | dr,
|  | magmaDouble_ptr | dd,
|  | magmaDouble_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaDouble_ptr temporary vector
  [in] | d2 | magmaDouble_ptr temporary vector
  [in] | dh | magmaDouble_ptr input vector x
  [in] | dr | magmaDouble_ptr input/output vector r
  [in] | dd | magmaDouble_ptr input/output vector d
  [in] | skp | magmaDouble_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_djcgmerge_xrbeta()

magma_int_t magma_djcgmerge_xrbeta | ( | magma_int_t | n,
|  | magmaDouble_ptr | d1,
|  | magmaDouble_ptr | d2,
|  | magmaDouble_ptr | diag,
|  | magmaDouble_ptr | dx,
|  | magmaDouble_ptr | dr,
|  | magmaDouble_ptr | dd,
|  | magmaDouble_ptr | dz,
|  | magmaDouble_ptr | dh,
|  | magmaDouble_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaDouble_ptr temporary vector
  [in] | d2 | magmaDouble_ptr temporary vector
  [in] | diag | magmaDouble_ptr inverse diagonal (Jacobi preconditioner)
  [in] | dx | magmaDouble_ptr iteration vector x
  [in] | dr | magmaDouble_ptr input/output vector r
  [in] | dd | magmaDouble_ptr input vector d
  [in] | dz | magmaDouble_ptr input vector z
  [in] | dh | magmaDouble_ptr input vector h
  [in] | skp | magmaDouble_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.